<%-
  # Base template:
  # haml-rails/lib/generators/haml/scaffold/templates/_form.html.haml

  # Custom vars from available generator methods/instance vars:
  # i.e.: member
  namespace_name = class_path.length > 0 ? class_path.first : nil
  # i.e.: post (without namespace)
  singular_table_name_only = file_name
  # i.e.: posts (without namespace)
  plural_table_name_only = controller_class_name.demodulize.underscore
  # i.e: member_posts_path
  path_method_to_all = index_helper(type: :path)
  # i.e: member_post_path(@post)
  path_method_to_one = show_helper(singular_table_name_only, type: :path)
-%>
<%- if namespace_name.blank? -%>
= form_for <%= singular_table_name_only %> do |f|
<%- else -%>
- url = <%= singular_table_name_only %>.id ? <%= path_method_to_one %> : <%= path_method_to_all %>
= form_for <%= singular_table_name_only %>, url: url do |f|
<%- end -%>
  = render 'layouts/form_errors',
           entity: <%= singular_table_name_only %>,
           message: t('.errors', count: <%= singular_table_name_only %>.errors.count)

  ._show-page
    %aside._show-page__panel
    <%- for attribute in attributes -%>
    <%- unless ['user'].include? attribute.name -%>
      .rui-field
        = f.label :<%= attribute.name %>
        = f.<%= attribute.field_type %> :<%= attribute.name %>

    <%- end -%>
    <%- end -%>
    ._show-page__content

  = render 'layouts/form_actions'
